#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/regexp/arity.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/regexp/arity.rb'


  require 'test/unit'

  class TCRegexp < Test::Unit::TestCase

    def test_arity
      r = /(1)(2)(3)/
      assert_equal( 3, r.arity )
      r = /(1)(2)(3)(4)/
      assert_equal( 4, r.arity )
      r = /(1)(2)((a)3)/
      assert_equal( 4, r.arity )
      r = /(?#nothing)(1)(2)(3)(?=3)/
      assert_equal( 3, r.arity )
    end

  end


