module Kernel

  private

  # Retreive the current running method name.
  #
  # There is a lot of debate on what to call this.
  # #methname returns a symbol, not a string.
  #
  #   def tester; methname; end
  #   tester  #=> :tester
  #
  def me
    /\`([^\']+)\'/.match(caller(1).first)[1].to_sym
  end

end
