#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/kernel/set_from.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/kernel/set_from.rb'


  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    Customer = Struct.new( "Customer", :name, :address, :zip )

    def test_set_from
      bob = Customer.new("Bob Sawyer", "123 Maple, Anytown NC", 12345)
      joe = Customer.new("Joe Pitare")
      joe.set_from(bob, :address, :zip)
      assert_equal("Joe Pitare", joe.name)
      assert_equal("123 Maple, Anytown NC", joe.address)
      assert_equal(12345, joe.zip)  
    end

  end


