#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/string/camelcase.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/string/camelcase.rb'


  require 'test/unit'

  class TCString < Test::Unit::TestCase

    def test_camelcase
      assert_equal( "abcXyz", "abc_xyz".camelcase )
      assert_equal( "abcXyz", "abc xyz".camelcase )
      assert_equal( "abcXyz", "abc  xyz".camelcase )
      assert_equal( "abcXyz", "abc\txyz".camelcase )
      assert_equal( "abcXyz", "abc\nxyz".camelcase )
      assert_equal( "abcXyz", "abc____xyz".camelcase )
    end

    def test_camelcase_true
      assert_equal( "AbcXyz", "abc_xyz".camelcase(true) )
      assert_equal( "AbcXyz", "abc xyz".camelcase(true) )
      assert_equal( "AbcXyz", "abc  xyz".camelcase(true) )
      assert_equal( "AbcXyz", "abc\txyz".camelcase(true) )
      assert_equal( "AbcXyz", "abc\nxyz".camelcase(true) )
    end

  end


