#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# for lib/facet/string/quote.rb
#
# Extracted Wed Jan 25 11:25:39 EST 2006
# Unit Tools Reap Test Extractor
#

require 'facet/string/quote.rb'


  require 'test/unit'

  class TCString < Test::Unit::TestCase

    def setup
      @a =  "hi"
    end

    def test_001
      assert_raises( ArgumentError ) { @a.quote(1,2) }
    end

    def test_002
      assert_equal( %{'hi'}, @a.quote )
    end

    def test_003
      assert_equal( %{"hi"}, @a.quote(:d) )
      assert_equal( %{"hi"}, @a.quote(:double) )
    end

    def test_004
      assert_equal( %{'hi'}, @a.quote(:s) )
      assert_equal( %{'hi'}, @a.quote(:single) )
    end

    def test_005
      assert_equal( %{`hi`}, @a.quote(:b) )
      assert_equal( %{`hi`}, @a.quote(:back) )
    end

  end


